Bug 852208 - [abrt] rabbitvcs-core-0.15.0.5-1.fc17: update.py:114:update_factory:KeyError: 'unknown'
[abrt] rabbitvcs-core-0.15.0.5-1.fc17: update.py:114:update_factory:KeyError:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rabbitvcs (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:613d8386ee87751631d4f36f5d8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 17:17 EDT by William Diaz Pabón
Modified: 2013-08-01 02:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:00:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Diaz Pabón 2012-08-27 17:17:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/rabbitvcs/ui/update.py /home/william/GrupoTX/repos/cootech/06_Clientes
executable:     /usr/lib/python2.7/site-packages/rabbitvcs/ui/update.py
kernel:         3.5.2-3.fc17.i686
time:           lun 27 ago 2012 16:16:36 COT
uid:            1000
username:       william

backtrace:
:update.py:114:update_factory:KeyError: 'unknown'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/rabbitvcs/ui/update.py", line 120, in <module>
:    window = update_factory(paths)
:  File "/usr/lib/python2.7/site-packages/rabbitvcs/ui/update.py", line 114, in update_factory
:    return classes_map[guess["vcs"]](paths)
:KeyError: 'unknown'
:
:Local variables in innermost frame:
:paths: ['/home/william/GrupoTX/repos/cootech/06_Clientes']
:guess: {'vcs': 'unknown', 'repo_path': '/home/william/GrupoTX/repos/cootech/06_Clientes'}

smolt_data:
:
:
:General
:=================================
:UUID: 9bead134-c4f9-425f-a251-4df1bffcf4d5
:SO: Fedora release 17 (Beefy Miracle)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.utf8
:Plataforma: i686
:BogoMIPS: 3990.00
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Pentium(R) Dual  CPU  E2180  @ 2.00GHz
:Paso del UCP: 13
:Familia de UCP: 6
:Número de Modelo de CPU: 15
:Número de CPUs: 2
:Velocidad del CPU: 2000
:Memoria del Sistema: 3274
:Intercambio (swap) del Sistema: 5311
:Vendedor: Dell Inc.
:Sistema: Inspiron 530s 
:Factor de forma: Desktop
:Kernel: 3.5.2-3.fc17.i686
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:10550:4136:525) pci, uhci_hcd, USB, Inspiron 530
:(5361:12064:5361:8207) pci, None, SIMPLE, Dimension 3000
:(32902:10690:4136:525) pci, i915, VIDEO, Inspiron 530
:(32902:10528:4136:525) pci, ata_piix, STORAGE, Inspiron 530
:(32902:10518:4136:525) pci, None, PCI/ISA, Inspiron 530
:(32902:10534:4136:525) pci, ata_piix, STORAGE, Inspiron 530
:(32902:10558:4136:525) pci, snd_hda_intel, MULTIMEDIA, Inspiron 530
:(32902:4288:4136:525) pci, e1000e, ETHERNET, Inspiron 530
:(32902:10549:4136:525) pci, uhci_hcd, USB, Inspiron 530
:(32902:10544:4136:525) pci, i801_smbus, SERIAL, Inspiron 530
:(32902:9294:4136:525) pci, None, PCI/PCI, Inspiron 530
:(32902:10548:4136:525) pci, uhci_hcd, USB, Inspiron 530
:(32902:10551:4136:525) pci, uhci_hcd, USB, Inspiron 530
:(32902:10552:4136:525) pci, uhci_hcd, USB, Inspiron 530
:(32902:10688:4136:525) pci, agpgart-intel, HOST/PCI, Inspiron 530
:(32902:10556:4136:525) pci, ehci_hcd, USB, Inspiron 530
:(32902:10553:4136:525) pci, uhci_hcd, USB, Inspiron 530
:(32902:10554:4136:525) pci, ehci_hcd, USB, Inspiron 530
:(32902:10689:4136:525) pci, pcieport, PCI/PCI, Inspiron 530
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 12901535 9939501 9808469 3276800 2990768 2990768
:/dev/sda2 /boot ext4 1024 1024 495844 407866 382266 128016 127750 127750
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 62547929 42146934 38969667 15892480 15581829 15581829
:
Comment 1 Daniel O'Connor 2012-09-08 14:52:16 EDT
Can you confirm what repository (git/svn/other) is in use?
Comment 2 Fedora End Of Life 2013-07-03 21:30:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 02:00:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.